Sent by Steve Singer on Slony's mailing-list

The Slony-I team is pleased to announce the release of Slony-I 2.1.1 a bug fix release for the 2.1 stream. and Slony-I 1.2.23 a bug fix release in the 1.2 stream.

Slony 2.1.1

  • Bug #260 :: Fixed issue when with FAILOVER command when the failed node has multiple sets.
  • Bug #246 :: Include path order changes
  • Bug #161 :: fix memory overrun in EXECUTE SCRIPT parser
  • Bug #247 :: slony_logshipper to handle TRUNCATE commands
  • Bug #249 :: Add parentheses to txid_current() in function for TRUNCATE logging
  • slonik_drop_table and slonik_drop_sequence no longer attempt to return -1 on an error (invalid as a slonik exit code in 2.1)
  • Bug #244 :: The CREATE SET command now requires a set id to be specified.
  • Bug #255 :: Fix serialization conflict issues when using PostgreSQL 9.1.
  • Bug #256 :: set_conf_option() has an extra elevel parameter on PG 9.2
  • Bug #259 :: Fix TRUNCATE logging so it works with mixed case slony clusters.
  1. http://www.slony.info/downloads/2.1/source/slony1-2.1.1.tar.bz2
  2. http://www.slony.info/downloads/2.1/source/slony1-2.1.1-docs.tar.bz2

Slony 1.2.23

  • Bug #195 - make slon_quote_* functions immutable
  • Bug #209 - dollar quoting doesn't work on PG 7.4
  • Bug #224 - PKEYEDTABLES misspelled in altperl script
  • Bug #236 - fix misformatting of log string for timestamp
  • Bug #239 - Fix FAILOVER on PG 9.0 by not querying pg_listener
  1. http://www.slony.info/downloads/1.2/source/slony1-1.2.23.tar.bz2
  2. http://www.slony.info/downloads/1.2/source/slony1-1.2.23-docs.tar.bz2
Unless additional maintainers from the community step up 1.2.23 is likely to be the last 1.2.x release.